## r-cran-pkgdown 2.0.7

=== DESCRIPTION ===
Package: pkgdown
Title: Make Static HTML Documentation for a Package
Version: 2.0.7
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Jay", "Hesselberth", role = "aut",
           comment = c(ORCID = "0000-0002-6299-179X")),
    person("Maëlle", "Salmon", role = "aut",
           comment = c(ORCID = "0000-0002-2815-0399")),
    person("RStudio", role = c("cph", "fnd"))
  )
Description: Generate an attractive and useful website from a source
    package.  'pkgdown' converts your documentation, vignettes, 'README',
    and more to 'HTML' making it easy to share information about your
    package online.
License: MIT + file LICENSE
URL: https://pkgdown.r-lib.org, https://github.com/r-lib/pkgdown
BugReports: https://github.com/r-lib/pkgdown/issues
Depends: R (>= 3.1.0)
Imports: bslib (>= 0.3.1), callr (>= 3.7.3), cli, desc, digest, downlit
        (>= 0.4.0), fs (>= 1.4.0), httr (>= 1.4.2), jsonlite, magrittr,
        memoise, purrr, ragg, rlang (>= 1.0.0), rmarkdown (>=
        1.1.9007), tibble, whisker, withr (>= 2.4.3), xml2 (>= 1.3.1),
        yaml
Suggests: covr, diffviewer, evaluate, htmltools, htmlwidgets, knitr,
        lifecycle, methods, openssl, pkgload (>= 1.0.2), rsconnect,
        rstudioapi, rticles, sass, testthat (>= 3.1.3), tools
VignetteBuilder: knitr
Config/testthat/edition: 3
Config/potools/style: explicit
Config/Needs/website: usethis, servr
Encoding: UTF-8
RoxygenNote: 7.2.2.9000
SystemRequirements: pandoc
NeedsCompilation: no
Packaged: 2022-12-06 18:05:15 UTC; hadleywickham
Author: Hadley Wickham [aut, cre] (<https://orcid.org/0000-0003-4757-117X>),
  Jay Hesselberth [aut] (<https://orcid.org/0000-0002-6299-179X>),
  Maëlle Salmon [aut] (<https://orcid.org/0000-0002-2815-0399>),
  RStudio [cph, fnd]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2022-12-14 11:40:06 UTC

=== tests/testthat/assets/articles-resources/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A longer statement about the package.
Authors@R:
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre"))
RoxygenNote: 6.0.1

=== tests/testthat/assets/home-old-skool/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A test package
Author: Hadley Wickham
Maintainer: Hadley Wickham <hadley@rstudio.com>
RoxygenNote: 6.1.1
Encoding: UTF-8

=== tests/testthat/assets/home-readme-rmd/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A test package
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
    )
RoxygenNote: 6.1.1
Encoding: UTF-8

=== tests/testthat/assets/news/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A test package
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
    )
Date/Publication: 2021-01-01

=== tests/testthat/assets/reference/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A test package
Authors@R: person("Hadley Wickham")
RoxygenNote: 7.2.0

=== tests/testthat/assets/sidebar-comment/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A test package
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"), comment = c("Thank you!"))
    )
RoxygenNote: 6.0.1

=== tests/testthat/assets/sidebar/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A test package
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
    )
RoxygenNote: 6.0.1
License: GPL-3

=== tests/testthat/assets/site-bad-logo/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: The logo.png file in this package is empty and can't be
    converted to favicons by the API.
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
    )
RoxygenNote: 6.1.1
Encoding: UTF-8

=== tests/testthat/assets/site-empty/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A test package
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
    )
RoxygenNote: 6.1.1

## r-cran-pkgdown 2.0.6

=== debian/changelog ===
r-cran-pkgdown (2.0.6-3) unstable; urgency=medium

  * Team Upload.
  * Versioned test dep on rmarkdown

 -- Nilesh Patra <nilesh@debian.org>  Thu, 15 Sep 2022 18:03:39 +0530

r-cran-pkgdown (2.0.6-2) unstable; urgency=medium

  * Source only upload

 -- Andreas Tille <tille@debian.org>  Sun, 07 Aug 2022 22:00:44 +0200

r-cran-pkgdown (2.0.6-1) unstable; urgency=medium

  * Initial release (closes: #970060)

 -- Andreas Tille <tille@debian.org>  Fri, 22 Jul 2022 13:10:52 +0200

=== debian/control ===
Source: r-cran-pkgdown
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>,
           Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-bslib,
               r-cran-callr,
               r-cran-cli,
               r-cran-desc,
               r-cran-digest,
               r-cran-downlit (>= 0.4.0),
               r-cran-fs (>= 1.4.0),
               r-cran-httr (>= 1.4.2),
               r-cran-jsonlite,
               r-cran-magrittr,
               r-cran-memoise,
               r-cran-purrr,
               r-cran-ragg,
               r-cran-rlang (>= 1.0.0),
               r-cran-rmarkdown,
               r-cran-tibble,
               r-cran-whisker,
               r-cran-withr (>= 2.4.3),
               r-cran-xml2 (>= 1.3.1),
               r-cran-yaml
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgdown
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pkgdown.git
Homepage: https://cran.r-project.org/package=pkgdown
Rules-Requires-Root: no

Package: r-cran-pkgdown
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-cran-rmarkdown (>= 2.16+dfsg-1~),
# <dh-update-R>do not delete this</dh-update-R>
         libjs-bootstrap,
         libjs-bootswatch,
         libjs-jquery,
         libjs-mathjax
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: make static HTML documentation for a GNU R package
 Generate an attractive and useful website from a source
 package.  'pkgdown' converts your documentation, vignettes, 'README',
 and more to 'HTML' making it easy to share information about your
 package online.

## r-cran-pkgdown 2.0.7

=== debian/changelog ===
r-cran-pkgdown (2.0.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 17:00:44 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-r,
                r-base-dev,
                r-cran-bslib,
-               r-cran-callr,
+               r-cran-callr (>= 3.7.3),
                r-cran-cli,
                r-cran-desc,
                r-cran-digest,
@@ -28,7 +28,7 @@
                r-cran-withr (>= 2.4.3),
                r-cran-xml2 (>= 1.3.1),
                r-cran-yaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgdown
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pkgdown.git
 Homepage: https://cran.r-project.org/package=pkgdown

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
#         r-cran-diffviewer,
         r-cran-evaluate,
         r-cran-htmltools,
         r-cran-htmlwidgets,
         r-cran-knitr,
         r-cran-lifecycle,
#         r-cran-methods,
         r-cran-openssl,
         r-cran-pkgload (>= 1.0.2),
         r-cran-rsconnect,
         r-cran-rstudioapi,
         # r-cran-rticles,
         r-cran-sass,
         r-cran-testthat (>= 3.1.3),
#         r-cran-tools,
         pandoc
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/pkgdown_([-\d.]*)\.tar\.gz

## r-cran-pkgdown 2.1.1

=== DESCRIPTION ===
Package: pkgdown
Title: Make Static HTML Documentation for a Package
Version: 2.1.1
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre"),
           comment = c(ORCID = "0000-0003-4757-117X")),
    person("Jay", "Hesselberth", role = "aut",
           comment = c(ORCID = "0000-0002-6299-179X")),
    person("Maëlle", "Salmon", role = "aut",
           comment = c(ORCID = "0000-0002-2815-0399")),
    person("Olivier", "Roy", role = "aut"),
    person("Salim", "Brüggemann", role = "aut",
           comment = c(ORCID = "0000-0002-5329-5987")),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Generate an attractive and useful website from a source
    package.  'pkgdown' converts your documentation, vignettes, 'README',
    and more to 'HTML' making it easy to share information about your
    package online.
License: MIT + file LICENSE
URL: https://pkgdown.r-lib.org/, https://github.com/r-lib/pkgdown
BugReports: https://github.com/r-lib/pkgdown/issues
Depends: R (>= 4.0.0)
Imports: bslib (>= 0.5.1), callr (>= 3.7.3), cli (>= 3.6.1), desc (>=
        1.4.0), digest, downlit (>= 0.4.4), fontawesome, fs (>= 1.4.0),
        httr2 (>= 1.0.2), jsonlite, openssl, purrr (>= 1.0.0), ragg,
        rlang (>= 1.1.0), rmarkdown (>= 2.27), tibble, whisker, withr
        (>= 2.4.3), xml2 (>= 1.3.1), yaml
Suggests: covr, diffviewer, evaluate (>= 0.24.0), gert, gt, htmltools,
        htmlwidgets, knitr, lifecycle, magick, methods, pkgload (>=
        1.0.2), quarto, rsconnect, rstudioapi, rticles, sass, testthat
        (>= 3.1.3), tools
VignetteBuilder: knitr, quarto
Config/Needs/website: usethis, servr
Config/potools/style: explicit
Config/testthat/edition: 3
Config/testthat/parallel: true
Config/testthat/start-first: build-article, build-quarto-article,
        build-reference
Encoding: UTF-8
RoxygenNote: 7.3.2
SystemRequirements: pandoc
NeedsCompilation: no
Packaged: 2024-09-17 18:50:50 UTC; hadleywickham
Author: Hadley Wickham [aut, cre] (<https://orcid.org/0000-0003-4757-117X>),
  Jay Hesselberth [aut] (<https://orcid.org/0000-0002-6299-179X>),
  Maëlle Salmon [aut] (<https://orcid.org/0000-0002-2815-0399>),
  Olivier Roy [aut],
  Salim Brüggemann [aut] (<https://orcid.org/0000-0002-5329-5987>),
  Posit Software, PBC [cph, fnd]
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2024-09-17 22:10:02 UTC

=== tests/testthat/assets/articles-images/DESCRIPTION ===
Package: kittens
Version: 1.0.0
Title: A test package
Description: A longer statement about the package.
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
    )
RoxygenNote: 6.0.1
Suggests: 
    knitr,
    rmarkdown
VignetteBuilder: knitr

=== tests/testthat/assets/figure/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A longer statement about the package.
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
    )
RoxygenNote: 6.0.1

=== tests/testthat/assets/reference-html-dep/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A test package
Authors@R: person("Hadley Wickham")
RoxygenNote: 7.1.2

=== tests/testthat/assets/reference-pre-post/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A longer statement about the package.
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@rstudio.com", role = c("aut", "cre")),
    person("RStudio", role = c("cph", "fnd"))
    )
RoxygenNote: 6.1.1
Encoding: UTF-8

=== tests/testthat/assets/reference/DESCRIPTION ===
Package: testpackage
Version: 1.0.0
Title: A test package
Description: A test package
Authors@R: person("Hadley Wickham")
RoxygenNote: 7.3.1

=== debian/changelog ===
r-cran-pkgdown (2.1.1-2) unstable; urgency=medium

  * Team upload
  * Add r-cran-magick to the autopkgtest testbed
  * Fix skipping of quarto tests
  * Skip test requiring diffviewer (like in previous version of the patch).

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Mar 2025 16:52:43 +0900

r-cran-pkgdown (2.1.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * pkgdown now uses httr2 instead of httr
  * Ignore lintian privacy errors for cloudflare URLs in test data
  * Disable patches for this upload.

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Mar 2025 14:39:27 +0900

r-cran-pkgdown (2.0.7-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039659
  * dh-update-R to update Build-Depends (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 14:17:23 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                r-cran-desc,
                r-cran-digest,
                r-cran-downlit (>= 0.4.0),
-               r-cran-fs (>= 1.4.0),
-               r-cran-httr (>= 1.4.2),
+               r-cran-fs,
+               r-cran-httr2,
                r-cran-jsonlite,
                r-cran-magrittr,
                r-cran-memoise,
@@ -26,9 +26,9 @@
                r-cran-tibble,
                r-cran-whisker,
                r-cran-withr (>= 2.4.3),
-               r-cran-xml2 (>= 1.3.1),
+               r-cran-xml2,
                r-cran-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgdown
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pkgdown.git
 Homepage: https://cran.r-project.org/package=pkgdown

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_installdocs:
	dh_installdocs
	find debian -name head.html -exec sed -i \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/bootswatch/.*/bootstrap\.min\.css#file:///usr/share/javascript/bootswatch/{{.}}/bootstrap.min.css#' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/.*/bootstrap\.min\.css#file:///usr/share/javascript/bootstrap/css/bootstrap.min.css#' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/.*/js/bootstrap.min.js#file:///usr/share/javascript/bootstrap/js/bootstrap.min.js#' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/jquery/.*/jquery.min.js#file:///usr/share/javascript/jquery/jquery.min.js#' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/mathjax/.*/MathJax.js#file:///usr/share/javascript/mathjax/MathJax.js#' \
		-e 's#https://cdnjs.cloudflare.com/ajax/libs/mathjax/\(config/.*\.js\)#file:///usr/share/javascript/mathjax/\1#' \
		-e '/\/oss.maxcdn.com\/html5shiv\//d' \
		\{\} \;

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
          r-cran-htmlwidgets,
          r-cran-knitr,
          r-cran-lifecycle,
+         r-cran-magick,
 #         r-cran-methods,
          r-cran-openssl,
          r-cran-pkgload (>= 1.0.2),

## r-cran-pkgdown 2.2.0

=== debian/changelog ===
r-cran-pkgdown (2.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 06 Jan 2026 10:45:31 +0900

=== debian/control ===
--- 
+++ 
@@ -8,27 +8,29 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-bslib,
-               r-cran-callr (>= 3.7.3),
-               r-cran-cli,
+               r-cran-bslib (>= 0.5.1),
+               r-cran-callr,
+               r-cran-cli (>= 3.6.1),
                r-cran-desc,
-               r-cran-digest,
-               r-cran-downlit (>= 0.4.0),
+               r-cran-downlit (>= 0.4.4),
+               r-cran-fontawesome,
                r-cran-fs,
-               r-cran-httr2,
+               r-cran-httr2 (>= 1.0.2),
                r-cran-jsonlite,
-               r-cran-magrittr,
-               r-cran-memoise,
+               r-cran-lifecycle,
+               r-cran-openssl,
                r-cran-purrr,
-               r-cran-ragg,
-               r-cran-rlang (>= 1.0.0),
-               r-cran-rmarkdown,
+               r-cran-ragg (>= 1.4.0),
+               r-cran-rlang (>= 1.1.4),
+               r-cran-rmarkdown (>= 2.27),
                r-cran-tibble,
                r-cran-whisker,
-               r-cran-withr (>= 2.4.3),
+               r-cran-withr,
                r-cran-xml2,
-               r-cran-yaml
-Standards-Version: 4.7.2
+               r-cran-yaml (>= 2.3.9),
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-pkgdown
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-pkgdown.git
 Homepage: https://cran.r-project.org/package=pkgdown
@@ -38,8 +40,6 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-         r-cran-rmarkdown (>= 2.16+dfsg-1~),
-# <dh-update-R>do not delete this</dh-update-R>
          libjs-bootstrap,
          libjs-bootswatch,
          libjs-jquery,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-covr,
        r-cran-evaluate (>= 0.24.0),
        r-cran-gert,
        r-cran-htmltools,
        r-cran-htmlwidgets,
        r-cran-knitr (>= 1.50),
        r-cran-magick,
        r-cran-pkgload (>= 1.0.2),
        r-cran-rsconnect,
        r-cran-rstudioapi,
        r-cran-sass,
        r-cran-testthat (>= 3.1.3),
        pandoc
Restrictions: allow-stderr
